package com.widget.imagevideobanner;

import android.content.Intent;
import android.os.Bundle;
import android.os.Environment;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.widget.TextView;

import com.widget.imagevideobanner.bean.MediaBean;
import com.widget.imagevideobanner.view.ImageVideoBanner;

import java.util.ArrayList;
import java.util.List;

import static com.widget.imagevideobanner.bean.MediaBean.TYPE_IMAGE;
import static com.widget.imagevideobanner.bean.MediaBean.TYPE_VIDEO;

public class MainActivity extends AppCompatActivity {

    private List<MediaBean> list = new ArrayList<>();
    ImageVideoBanner banner;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        banner = findViewById(R.id.banner);

        MediaBean mediaBean = new MediaBean();
        mediaBean.setUrl("https://hh-oss-html.miyapay.com/hhops/picture/16045733014903c31992a674f.png");
        mediaBean.setType(TYPE_IMAGE);
        list.add(mediaBean);

        MediaBean mediaBean2 = new MediaBean();
        mediaBean2.setUrl("https://hh-oss-html.miyapay.com/hhops/picture/1611112341654cffdd7b004bb.png");
        mediaBean2.setType(TYPE_IMAGE);
        list.add(mediaBean2);

//        String basePath = "http://miya-hz.oss-cn-shanghai.aliyuncs.com/huihua-test/face-pay/archive/";
        String basePath = Environment.getExternalStorageDirectory().getPath()+"/";

        MediaBean mediaBean3 = new MediaBean();
        mediaBean3.setUrl(basePath+"shu.mp4");
        mediaBean3.setType(TYPE_VIDEO);
        list.add(mediaBean3);

        MediaBean mediaBean4 = new MediaBean();
        mediaBean4.setUrl(basePath+"heng.mp4");
        mediaBean4.setType(TYPE_VIDEO);
        list.add(mediaBean4);

        banner.bindData(list);

        TextView tvGoDetail = findViewById(R.id.tvGoDetail);
        tvGoDetail.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                startActivity(new Intent(MainActivity.this,DetailActivity.class));
            }
        });
    }

}
