package com.widget.imagevideobanner.log;
import com.blankj.utilcode.util.LogUtils;
import com.widget.imagevideobanner.utils.DateUtils;
import java.util.Date;

public class BLogUtil {

    private static LogWriteListener mLogWriteListener;

    public static void setBLogWriteListener(LogWriteListener bLogWriteListener) {
        mLogWriteListener = bLogWriteListener;
    }

    public static void log(final String input) {
        LogUtils.e(input);
        if (null != mLogWriteListener) {
            mLogWriteListener.onLogWriteListener(DateUtils.format18(new Date()) + input + "\n");
        }
    }

    public interface LogWriteListener {
        void onLogWriteListener(String msg);
    }
}
